/*
 * ClinicaAvenidaDtaLoader.java
 *
 * Created on 25 de Janeiro de 2005, 13:27
 */

package siprp.companydataloaders;

import com.evolute.utils.*;

import siprp.*;

/**
 *
 * @author  fpalma
 */
public class ClinicaAvenidaDataLoader implements CompanyDataLoader
{
	
	/** Creates a new instance of ClinicaAvenidaDtaLoader */
	public ClinicaAvenidaDataLoader()
	{
	}
	
	public void load()
	{
		Singleton.setInstance( SingletonConstants.SOFTWARE_NAME, "SHSTSoft" );
		Singleton.setInstance( SingletonConstants.COMPANY_NAME, "Centro Cl\u00ednico Avenida" );
		Singleton.setInstance( SingletonConstants.COMPANY_LOGO, "logo_evo.jpg" );
		Singleton.setInstance( SingletonConstants.COMPANY_ACRONYM, "CCA" );
		Singleton.setInstance( SingletonConstants.SUBJECT_CONSULTA, "Centro Cl\u00ednico da Avenida - Marca\u00e7\u00e3o de consulta m\u00e9dica" );
		Singleton.setInstance( SingletonConstants.LETTER_CONSULTA, "Vimos por este meio informar que " + NOME + " "
										+ "dever\u00e1 comparecer no Centro Cl\u00ednico da Avenida para a realiza\u00e7\u00e3o da "
										+ "consulta de Medicina do Trabalho, no dia " + DATA + ".\n"
										+ "Caso n\u00e3o seja poss\u00edvel a compar\u00eancia do referido colaborador na "
										+ "data indicada, agradecemos que nos informem atrav\u00e9s do telefone 214928612 "
										+ "ou respondendo a esta mensagem.\n\n"
										+ "Departamento de Seguran\u00e7a e Higiene do Trabalho\n"
										+ "Centro Cl\u00ednico da Avenida\n"
										+ "Av. General Humberto Delgado 128  R/C D\n"
										+ "2700-419 Amadora" );
		Singleton.setInstance( SingletonConstants.SUBJECT_EXAMES, "Centro Cl\u00ednico da Avenida - Marca\u00e7\u00e3o de exames de Medicina do Trabalho" );
		Singleton.setInstance( SingletonConstants.LETTER_EXAMES, "Vimos por este meio informar que " + NOME + " "
										+ "dever\u00e1 comparecer no Centro Cl\u00ednico da Avenida para a realiza\u00e7\u00e3o "
										+ "de exames relativos \u00e0 Medicina do Trabalho, no dia " + DATA + ".\n"
										+ "Caso n\u00e3o seja poss\u00edvel a compar\u00eancia do referido colaborador na "
										+ "data indicada, agradecemos que nos informem atrav\u00e9s do telefone 214928612 "
										+ "ou respondendo a esta mensagem.\n\n"
										+ "Departamento de Seguran\u00e7a e Higiene do Trabalho\n"
										+ "Centro Cl\u00ednico da Avenida\n"
										+ "Av. General Humberto Delgado 128  R/C D\n"
										+ "2700-419 Amadora" );
		Singleton.setInstance( SingletonConstants.SUBJECT_VISITA, "Centro Cl\u00ednico da Avenida - Marca\u00e7\u00e3�o da Auditoria de Seguran\u00e7a e Higiene do Trabalho" );
		Singleton.setInstance( SingletonConstants.LETTER_VISITA, "Vimos por este meio informar que pretendemos "
										+ "realizar a auditoria de Seguran\u00e7a e Higiene do Trabalho \u00e0s vossas "
										+ "instala��es em " + MORADA + ", no dia " + DATA + ".\n"
										+ "Agradecemos que confirmem a vossa disponibilidade para a realiza\u00e7\u00e3o "
										+ "da visita na data indicada, atrav\u00e9s do telefone 214928612 ou "
										+ "respondendo a esta mensagem.\n\n"
										+ "Departamento de Seguran\u00e7a e Higiene do Trabalho\n"
										+ "Centro Cl\u00ednico da Avenida\n"
										+ "Av. General Humberto Delgado 128  R/C D\n"
										+ "2700-419 Amadora\n"
										+ "Tel.: 214928612" );
		Singleton.setInstance( SingletonConstants.USES_HOUR, Boolean.TRUE );
		Singleton.setInstance( SingletonConstants.CODIGO_EMPRESA_FORMAT, "15" );
		Singleton.setInstance( SingletonConstants.FICHA_MARCA_EXAMES, Boolean.FALSE );
		Singleton.setInstance( SingletonConstants.EXCEL_FORMAT, new int[]{ 0, 2, 3, 1, 4, 5, 6, 9, 7, 8 } );
		
		Singleton.setInstance( SingletonConstants.MODULE_FICHA, Boolean.TRUE );
		Singleton.setInstance( SingletonConstants.MODULE_CLIENTES, Boolean.TRUE );
		Singleton.setInstance( SingletonConstants.WEB_AWARE, Boolean.FALSE );
		Singleton.setInstance( SingletonConstants.MODULE_RELATORIO, Boolean.TRUE );
		Singleton.setInstance( SingletonConstants.MODULE_LISTAGENS, Boolean.FALSE );
	
		Singleton.setInstance( SingletonConstants.WEB_USER, "" );
		Singleton.setInstance( SingletonConstants.WEB_PASSWORD, "" );
		Singleton.setInstance( SingletonConstants.WEB_URL_PREFIX, "" );
		Singleton.setInstance( SingletonConstants.WEB_URL, "" );
		Singleton.setInstance( SingletonConstants.WEB_DB_NAME, "" );
		Singleton.setInstance( SingletonConstants.WEB_DRIVER_NAME, "" );
	
		Singleton.setInstance( SingletonConstants.LOCAL_USER, "postgres" );
		Singleton.setInstance( SingletonConstants.LOCAL_PASSWORD, "Typein" );
		Singleton.setInstance( SingletonConstants.LOCAL_URL_PREFIX, "jdbc:postgresql://" );
		Singleton.setInstance( SingletonConstants.LOCAL_URL, "localhost" );
		Singleton.setInstance( SingletonConstants.LOCAL_DB_NAME, "shst" );
		Singleton.setInstance( SingletonConstants.LOCAL_DRIVER_NAME, "org.postgresql.Driver" );
	}
	
}
